
From: Jeffrey Mahoney <jeffm@novell.com>

This patch cleans up some warnings in the const qualifiers introduced by the
reiserfs/selinux patches.

Signed-off-by: Jeff Mahoney <jeffm@novell.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiserfs/xattr.c            |    8 ++++----
 25-akpm/include/linux/reiserfs_xattr.h |    2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

diff -puN fs/reiserfs/xattr.c~reiserfs-cleaning-up-const-checks fs/reiserfs/xattr.c
--- 25/fs/reiserfs/xattr.c~reiserfs-cleaning-up-const-checks	2004-11-21 16:23:21.659394976 -0800
+++ 25-akpm/fs/reiserfs/xattr.c	2004-11-21 16:23:21.667393760 -0800
@@ -134,7 +134,7 @@ get_xa_root (struct super_block *s)
  * If flags allow, the tree to the directory may be created. If creation is
  * prohibited, -ENODATA is returned. */
 static struct dentry *
-open_xa_dir (const struct inode *inode, int flags)
+open_xa_dir (struct inode *inode, int flags)
 {
     struct dentry *xaroot, *xadir;
     char namebuf[17];
@@ -193,7 +193,7 @@ open_xa_dir (const struct inode *inode, 
  * for the inode. If flags allow, the file is created. Otherwise, a
  * valid or negative dentry, or an error is returned. */
 static struct dentry *
-get_xa_file_dentry (const struct inode *inode, const char *name, int flags)
+get_xa_file_dentry (struct inode *inode, const char *name, int flags)
 {
     struct dentry *xadir, *xafile;
     int err = 0;
@@ -244,7 +244,7 @@ out:
 
 /* Opens a file pointer to the attribute associated with inode */
 static struct file *
-open_xa_file (const struct inode *inode, const char *name, int flags)
+open_xa_file (struct inode *inode, const char *name, int flags)
 {
     struct dentry *xafile;
     struct file *fp;
@@ -610,7 +610,7 @@ out:
  * inode->i_sem: down
  */
 int
-reiserfs_xattr_get (const struct inode *inode, const char *name, void *buffer,
+reiserfs_xattr_get (struct inode *inode, const char *name, void *buffer,
                     size_t buffer_size)
 {
     ssize_t err = 0;
diff -puN include/linux/reiserfs_xattr.h~reiserfs-cleaning-up-const-checks include/linux/reiserfs_xattr.h
--- 25/include/linux/reiserfs_xattr.h~reiserfs-cleaning-up-const-checks	2004-11-21 16:23:21.661394672 -0800
+++ 25-akpm/include/linux/reiserfs_xattr.h	2004-11-21 16:23:21.667393760 -0800
@@ -47,7 +47,7 @@ int reiserfs_permission (struct inode *i
 int reiserfs_permission_locked (struct inode *inode, int mask, struct nameidata *nd);
 
 int reiserfs_xattr_del (struct inode *, const char *);
-int reiserfs_xattr_get (const struct inode *, const char *, void *, size_t);
+int reiserfs_xattr_get (struct inode *, const char *, void *, size_t);
 int reiserfs_xattr_set (struct inode *, const char *, const void *,
                                size_t, int);
 
_
